Loading...
Searching...
No Matches
Magick::DrawableStrokePatternUrl Class Reference
Inheritance diagram for Magick::DrawableStrokePatternUrl:

## Public Member Functions

| DrawableStrokePatternUrl (const std::string &url_)
| DrawableStrokePatternUrl (const DrawableStrokePatternUrl &original_)
void | operator() (MagickCore::DrawingWand *context_) const
void | url (const std::string &url_)
std::string | url (void) const
DrawableBase * | copy () const

## Private Attributes

std::string | _url

## Detailed Description

Definition at line 1859 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableStrokePatternUrl() [1/2]

Magick::DrawableStrokePatternUrl::DrawableStrokePatternUrl | ( | const std::string & | url_ | ) |

Definition at line 1328 of file Drawable.cpp.

: _url(url_)
{
}

## ~DrawableStrokePatternUrl()

Magick::DrawableStrokePatternUrl::~DrawableStrokePatternUrl | ( | void |  | ) |

Definition at line 1341 of file Drawable.cpp.

{
}

## DrawableStrokePatternUrl() [2/2]

Magick::DrawableStrokePatternUrl::DrawableStrokePatternUrl | ( | const DrawableStrokePatternUrl & | original_ | ) |

Definition at line 1334 of file Drawable.cpp.

: DrawableBase(original_),
_url(original_._url)
{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableStrokePatternUrl::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1361 of file Drawable.cpp.

{
return(new DrawableStrokePatternUrl(*this));
}

## operator()()

void Magick::DrawableStrokePatternUrl::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1345 of file Drawable.cpp.

{
DrawSetStrokePatternURL(context_, _url.c_str());
}

## url() [1/2]

void Magick::DrawableStrokePatternUrl::url | ( | const std::string & | url_ | ) |

Definition at line 1351 of file Drawable.cpp.

{
_url = url_;
}

## url() [2/2]

std::string Magick::DrawableStrokePatternUrl::url | ( | void |  | ) | const

Definition at line 1356 of file Drawable.cpp.

{
return(_url);
}

## Field Documentation

## _url

std::string Magick::DrawableStrokePatternUrl::_url

private

Definition at line 1879 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp